If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Alert Window Crashes Print Dialog / PDF Maker

RESOLVED WORKSFORME

Status

()

Firefox
General
--
critical
RESOLVED WORKSFORME
10 years ago
9 years ago

People

(Reporter: Chris Love, Unassigned)

Tracking

({crash})

2.0 Branch
PowerPC
Mac OS X
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4

I was trying to save a bill to PDF by using the Print Dialog in OSX.  When I opened the print dialog, and chose save as pdf, an alert box from my bank came up, saying that my session was to expire.  I was unable to save or cancel the save as pdf dialog and I was unable to reach / click the alert box OK button.

Reproducible: Didn't try

Steps to Reproduce:
1. Have a timed alert box
2. Open Print > PDF > Save as PDF
3. Have alert box go off while using PDF dialog in OSX.
Actual Results:  
I was unable to close PDF or Alert Dialogs, thus locked the browser and requiring a force quit.

Expected Results:  
Allowed the user to close the PDF dialog or alert dialog and continue working.

GoogleBar (Not Google Toolbar), Adblock Plus, Codetch, PDF Download, Video Downloader,
(Reporter)

Updated

10 years ago
Version: unspecified → 2.0 Branch
(Reporter)

Updated

10 years ago
Keywords: hang
Can you reproduce with Firefox v2.0.0.14 ?

Comment 2

9 years ago
I am seeing this bug happen with Firefox 3.0 RC3 on Mac OS X - see a screencast of it happening here - http://screencast.com/t/J3lFoq6f2g1

Steps to reproduce:

- Browse to any page
- Print via Cmd+P or File > Print dialog
- Select PDF dropdown
- Select 'Save as PDF'
- Crash

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-GB; rv:1.9) Gecko/2008061004 Firefox/3.0

Installed extensions and plugins

Del.icio.us bookmarks 2.0.58
(not installed) Greasemonkey 0.7.20080121.0
(not installed) Loki 2.2

Default plugin
DivX browser plugin
DivX Content Upload Plugin
Flip4Mac WM Plugin 2.2
Java Embedding plugin 0.9.6.4
QuickTime 7.5
Realplayer Plugin
Shockwave Flash 9.0 r124
Silverlight 1.0.21115.0
Verified Download Plugin

Default 3.0 Theme


Comment 3

9 years ago
Here is the relevant bit of my Console log if that helps:

13/06/2008 16:21:26 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:26 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAManageTypeListReference 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAUserIDListCtrlReference 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAUserIDTextEditReference 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAUserPasswordTextEditReference 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAAdminUserIDListCtrlReference 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAAdminUserIDTextEditReference 
13/06/2008 16:21:27 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_com.xerox.cps.print.printsettings.JBAAdminUserPasswordTextEditReference 
13/06/2008 16:21:32 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:32 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:32 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 
13/06/2008 16:21:32 [0x0-0x1f01f].org.mozilla.firefox[231] Xerox_Phaser_6130N__a6_5f_b7_ 

Comment 4

9 years ago
Does this still occur even with FF2.0.16 ?
If yes have you tried in safe mode, with a new profile ? what about on a new account ?
Chris, do you also still see this?

results in safe mode?

please provide crash report id http://kb.mozillazine.org/Breakpad#Viewing_reports
Keywords: hang → crash
Whiteboard: closeme 2008-12-10
Does the problem still occur in Firefox 3 ?
http://www.mozilla.com/firefox/
Whiteboard: closeme 2008-12-10 → closeme 2008-01-27

Updated

9 years ago
Whiteboard: closeme 2008-01-27 → closeme 2009-01-27

Comment 7

9 years ago
I am no longer seeing the behaviour in Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-GB; rv:1.9.1b2) Gecko/20081201 Firefox/3.1b2
WORKSFORME per last comment
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: closeme 2009-01-27
You need to log in before you can comment on or make changes to this bug.